package org.jeecg.modules.bytedance.common.utils;

/**
 * Administrator
 * 2021/6/3
 **/
public class GetCampaignNum {


    /**
     *
     * @param campaignCnt 组数量
     * @param campaignAdCnt 每个组最大创建计划数
     * @param countNum 当天已创建条数
     * @return
     */
    public static Long getCampaignNameNum(int campaignCnt,Long campaignAdCnt, int countNum){
/*
        countNum = 61;
        campaignAdCnt = 10L;
        campaignCnt = 1;*/

        Long zu = countNum / campaignAdCnt;
        Long yu = countNum % campaignAdCnt;
        //System.out.println("余---"+yu);
        // 不能整除 有余数 则 组 = 商 + 1
        // 整除 组 = 商
        Long count = yu != 0 ? zu.intValue()+1 : zu;
       // 账户配置中的组数量 < 当前 组序号
        if (count.intValue() <= campaignCnt){
            System.out.println("组序号----------"+count);
        }else {
            System.out.println("组序号-超过了规定的最大值-----"+count);
        }
        return count;
    }


}